From 98565a2535b9246c677d131b0972b199904cdb88 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 02 2020 00:52:08 +0000
Subject: [PATCH 1184/2232] Keep apis usable later in sort_by_inner_namespace


---

diff --git a/gen/src/alphasort.rs b/gen/src/alphasort.rs
index 12251d5..ea911f8 100644
--- a/gen/src/alphasort.rs
+++ b/gen/src/alphasort.rs
@@ -26,18 +26,18 @@ impl<'a> NamespaceEntries<'a> {
 fn sort_by_inner_namespace(apis: Vec<&Api>, depth: usize) -> NamespaceEntries {
     let mut direct = Vec::new();
     let mut nested_namespaces = BTreeMap::new();
-    for api in apis {
+    for api in &apis {
         if let Some(ns) = api.namespace() {
             let first_ns_elem = ns.iter().nth(depth);
             if let Some(first_ns_elem) = first_ns_elem {
                 nested_namespaces
                     .entry(first_ns_elem)
                     .or_insert_with(Vec::new)
-                    .push(api);
+                    .push(*api);
                 continue;
             }
         }
-        direct.push(api);
+        direct.push(*api);
     }
 
     let nested = nested_namespaces

